Subject: Re: face-foreground on Mac OS 10.4.11
From: Chong Yidong <[email-masked]>
To: Alex Schröder <[email-masked]>
Cc: [email-masked]
Date: Sat, 27 Dec 2008 21:54:25 -0500

> face-foreground doesn't return the correct foreground color if it is
> inherited. In the following example test has a purple foreground,
> test2 inherits from test, and both have a purple foreground when I
> look at them using list-faces-display. (face-foreground "test2")
> returns nil, however.

You want to use a non-nil INHERIT argument for face-foreground, I think.